package evenodd;

import java.io.IOException;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Writable;
import org.apache.hadoop.io.WritableComparable;
import org.apache.hadoop.mapred.JobClient;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reporter;

public class EvenOddMapper extends MapReduceBase implements Mapper <LongWritable,Text, Text, IntWritable>{

	  private final static IntWritable zero = new IntWritable(0);
	  private final static IntWritable one = new IntWritable(1);
	
	  public void map(LongWritable key, Text values,
			OutputCollector<Text,IntWritable> output, Reporter reporter) throws IOException 
	  {
	
		  String line = new String(values.toString());
		  int number = 0;
		  
		  
			try {
				number = Integer.parseInt(line);
			} catch (Exception e) {
				return;
			}
		  
		  
		  
		  if(number%2==0) output.collect(new Text("Even"),one);
		  else output.collect(new Text("Odd"),one);
	 }
	
}
